package com.yida.data.server.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum MsgType {
    V4("V4", "回复信息"),
    // 设备上报信息
    V2("V2", "设备gps定位信息"),
    WIFIMAC("WIFIMAC", "设备wifi定位信息"),
    KA("KA", "设备基站定位信息"),
    V3("V3", "设备补传定位信息"),
    ALARM_STATIC("STATIC", "设备静止上报"),
    POWER_ON("POWERON", "开机上报"),
    POWER_OFF("POWEROFF", "关机上报"),
    STEP("STEP", "步数上报"),
    FENCE_OUT("POSTOUT", "设备离开围栏信息"),
    FENCE_IN("POSTIN", "设备进入围栏信息"),
    // 平台下发指令
    WHITE_ALL("WLALL", "批量设置白名单"),
    FENCE("POSTSELF", "设置围栏"),
    FENCE_SWITCH("RFSWITCH", "设置围栏"),
    DISTURB_TIME("CLASS", "设置免打扰时间"),
    DISTURB_SWITCH("CLASSSWITCH", "设置免打扰开关"),
    LOCATION("D1", "立即定位"),
    WEATHER("WEATHER", "下发天气");

    private String value;
    private String name;
}
